#include <bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,m;
    cin>>n>>m;
    if(n==3){
        if(m==1 || m==2){
            cout<<n*m;
            return 0;
        }else{
            if(m%2==0){
                cout<<n*m-((m/2)-1);
                return 0;
            }else{
                cout<<n*m-(m/2);
                return 0;
            }
        }
    }else if(n==m){
        if(n==1){
            cout<<1;
            return 0;
        }else{
            cout<<2*n+2*(n-2)+((n*n-2*n-2*(n-2))/2);
            return 0;
        }
    }

 return 0;
}